Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientGroupAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientGroupAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ClientGroupAdapterWrapper.cs	(revision 3011)
@@ -11,8 +11,8 @@
   class ClientGroupAdapterWrapper :
     TableAdapterWrapperBase<dsHiveServerTableAdapters.ClientGroupTableAdapter,
-    ClientGroup,
+    ClientGroupDto,
     dsHiveServer.ClientGroupRow> {
     public override dsHiveServer.ClientGroupRow
-     InsertNewRow(ClientGroup group) {
+     InsertNewRow(ClientGroupDto group) {
       dsHiveServer.ClientGroupDataTable data =
          new dsHiveServer.ClientGroupDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/JobAdapterWrapper.cs	(revision 3011)
@@ -14,5 +14,5 @@
   class JobAdapterWrapper :
     TableAdapterWrapperBase<dsHiveServerTableAdapters.JobTableAdapter,
-                      Job,
+                      JobDto,
                       dsHiveServer.JobRow> {
     public override void UpdateRow(dsHiveServer.JobRow row) {
@@ -21,5 +21,5 @@
 
     public override dsHiveServer.JobRow
-      InsertNewRow(Job job) {
+      InsertNewRow(JobDto job) {
       dsHiveServer.JobDataTable data =
         new dsHiveServer.JobDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/PluginInfoAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/PluginInfoAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/PluginInfoAdapterWrapper.cs	(revision 3011)
@@ -12,5 +12,5 @@
    TableAdapterWrapperBase<
        dsHiveServerTableAdapters.PluginInfoTableAdapter,
-   HivePluginInfo,
+   HivePluginInfoDto,
    dsHiveServer.PluginInfoRow> {
     public override void UpdateRow(dsHiveServer.PluginInfoRow row) {
@@ -19,5 +19,5 @@
 
     public override dsHiveServer.PluginInfoRow
-      InsertNewRow(HivePluginInfo pluginInfo) {
+      InsertNewRow(HivePluginInfoDto pluginInfo) {
       dsHiveServer.PluginInfoDataTable data =
         new dsHiveServer.PluginInfoDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ProjectAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ProjectAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ProjectAdapterWrapper.cs	(revision 3011)
@@ -11,5 +11,5 @@
   class ProjectAdapterWrapper :
     TableAdapterWrapperBase<dsHiveServerTableAdapters.ProjectTableAdapter,
-                      Project,
+                      ProjectDto,
                       dsHiveServer.ProjectRow> {
     public override void UpdateRow(dsHiveServer.ProjectRow row) {
@@ -18,5 +18,5 @@
 
     public override dsHiveServer.ProjectRow
-      InsertNewRow(Project project) {
+      InsertNewRow(ProjectDto project) {
       dsHiveServer.ProjectDataTable data =
         new dsHiveServer.ProjectDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ResourceAdapterWrapper.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ResourceAdapterWrapper.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.ADODataAccess/3.2/TableAdapterWrapper/ResourceAdapterWrapper.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -12,5 +12,5 @@
   TableAdapterWrapperBase<
     dsHiveServerTableAdapters.ResourceTableAdapter,
-    Resource,
+    ResourceDto,
     dsHiveServer.ResourceRow> {
     public override void UpdateRow(dsHiveServer.ResourceRow row) {
@@ -19,5 +19,5 @@
 
     public override dsHiveServer.ResourceRow
-      InsertNewRow(Resource resource) {
+      InsertNewRow(ResourceDto resource) {
       dsHiveServer.ResourceDataTable data =
         new dsHiveServer.ResourceDataTable();
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/AddJobForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/AddJobForm.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/AddJobForm.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -43,8 +43,8 @@
     public event addDelegate addJobEvent;
 
-    ResponseList<Project> projects = null;
+    ResponseList<ProjectDto> projects = null;
     IJobManager jobManager;
     IClientManager clientManager; 
-    ResponseList<ClientGroup> clientGroups;
+    ResponseList<ClientGroupDto> clientGroups;
 
     Dictionary<Guid, string> clients = null;
@@ -69,5 +69,5 @@
       cbProject.Items.Add("none");
       cbProject.SelectedIndex = 0;
-      foreach (Project project in projects.List) {
+      foreach (ProjectDto project in projects.List) {
         cbProject.Items.Add(project.Name);
       }
@@ -86,5 +86,5 @@
 
     private void AddClientGroups() {
-     foreach (ClientGroup cg in clientGroups.List) {
+     foreach (ClientGroupDto cg in clientGroups.List) {
        if (cg.Id != Guid.Empty)
        clients.Add(cg.Id, cg.Name);
@@ -93,10 +93,10 @@
     }
 
-    private void AddClientOrGroup(ClientGroup clientGroup) {
-      foreach (Resource resource in clientGroup.Resources) {
-        if (resource is ClientGroup) {
+    private void AddClientOrGroup(ClientGroupDto clientGroup) {
+      foreach (ResourceDto resource in clientGroup.Resources) {
+        if (resource is ClientGroupDto) {
           if (resource.Id != Guid.Empty)
           clients.Add(resource.Id, resource.Name);
-          AddClientOrGroup(resource as ClientGroup);
+          AddClientOrGroup(resource as ClientGroupDto);
         }
       }
@@ -110,5 +110,5 @@
         if (numJobs > 0) {
           for (int i = 0; i < numJobs; i++) {
-            Job job = new Job { State = State.offline, CoresNeeded = 1 };
+            JobDto job = new JobDto { State = State.offline, CoresNeeded = 1 };
             
             // if project selected (0 -> none)
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 3011)
@@ -48,5 +48,5 @@
 
     #region private variables
-    private ResponseList<Job> jobs = null;
+    private ResponseList<JobDto> jobs = null;
 
     List<ListViewGroup> jobGroup;
@@ -54,6 +54,6 @@
     private List<Changes> changes = new List<Changes>();
 
-    private Job currentJob = null;
-    private ClientInfo currentClient = null;
+    private JobDto currentJob = null;
+    private ClientDto currentClient = null;
 
     private TreeNode currentGroupNode = null;
@@ -93,5 +93,5 @@
         IJobManager jobManager = ServiceLocator.GetJobManager();
         if (lvJobControl.SelectedItems.Count == 1) {
-          jobManager.AbortJob(((Job)(lvJobControl.SelectedItems[0].Tag)).Id);
+          jobManager.AbortJob(((JobDto)(lvJobControl.SelectedItems[0].Tag)).Id);
         }
       };
@@ -101,5 +101,5 @@
         IJobManager jobManager = ServiceLocator.GetJobManager();
         if (lvJobControl.SelectedItems.Count == 1) {
-          jobManager.RequestSnapshot(((Job)(lvJobControl.SelectedItems[0].Tag)).Id);
+          jobManager.RequestSnapshot(((JobDto)(lvJobControl.SelectedItems[0].Tag)).Id);
         }
       };
@@ -109,6 +109,6 @@
         AddGroup addgroup = new AddGroup();
         parentgroup = Guid.Empty;
-        if ((tvClientControl.SelectedNode != null) && (((ClientGroup)tvClientControl.SelectedNode.Tag).Id != Guid.Empty)) {
-          parentgroup = ((ClientGroup)tvClientControl.SelectedNode.Tag).Id;
+        if ((tvClientControl.SelectedNode != null) && (((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id != Guid.Empty)) {
+          parentgroup = ((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id;
         }
         addgroup.addGroupEvent += new AddGroupDelegate(addgroup_addGroupEvent);
@@ -120,5 +120,5 @@
         IClientManager clientManager = ServiceLocator.GetClientManager();
         if (tvClientControl.SelectedNode != null) {
-          Response resp = clientManager.DeleteClientGroup(((ClientGroup)tvClientControl.SelectedNode.Tag).Id);
+          Response resp = clientManager.DeleteClientGroup(((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id);
           if (tvClientControl.SelectedNode == currentGroupNode) {
             currentGroupNode = null;
@@ -147,5 +147,5 @@
         Point mouseLocation = tvClientControl.PointToClient(new Point(e.X, e.Y));
         TreeNode node = tvClientControl.GetNodeAt(mouseLocation);
-        if (node != null && ((ClientGroup)node.Tag).Id != Guid.Empty) {
+        if (node != null && ((ClientGroupDto)node.Tag).Id != Guid.Empty) {
           e.Effect = DragDropEffects.Move;
           if (hoverNode == null) {
@@ -170,16 +170,16 @@
           Point dropLocation = (sender as TreeView).PointToClient(new Point(e.X, e.Y));
           TreeNode dropNode = (sender as TreeView).GetNodeAt(dropLocation);
-          if (((ClientGroup)dropNode.Tag).Id != Guid.Empty) {
-            Dictionary<ClientInfo, Guid> clients = new Dictionary<ClientInfo, Guid>();
+          if (((ClientGroupDto)dropNode.Tag).Id != Guid.Empty) {
+            Dictionary<ClientDto, Guid> clients = new Dictionary<ClientDto, Guid>();
             foreach (ListViewItem lvi in lvClientControl.SelectedItems) {
               Guid groupId = Guid.Empty;
               foreach (ListViewGroup lvg in lvClientGroups) {
-                if (lvi.Group.Header == ((ClientGroup)lvg.Tag).Name) {
-                  groupId = ((ClientGroup)lvg.Tag).Id;
+                if (lvi.Group.Header == ((ClientGroupDto)lvg.Tag).Name) {
+                  groupId = ((ClientGroupDto)lvg.Tag).Id;
                 }
               }
-              clients.Add((ClientInfo)lvi.Tag, groupId);
-            }
-            ChangeGroup(clients, ((ClientGroup)dropNode.Tag).Id);
+              clients.Add((ClientDto)lvi.Tag, groupId);
+            }
+            ChangeGroup(clients, ((ClientGroupDto)dropNode.Tag).Id);
           }
           tvClientControl_DragLeave(null, EventArgs.Empty);
@@ -194,7 +194,7 @@
     /// <param name="clients">list of clients</param>
     /// <param name="clientgroupID">group of clients</param>
-    private void ChangeGroup(Dictionary<ClientInfo, Guid> clients, Guid clientgroupID) {
+    private void ChangeGroup(Dictionary<ClientDto, Guid> clients, Guid clientgroupID) {
       IClientManager clientManager = ServiceLocator.GetClientManager();
-      foreach (KeyValuePair<ClientInfo, Guid> client in clients) {
+      foreach (KeyValuePair<ClientDto, Guid> client in clients) {
         if (client.Key.Id != Guid.Empty) {
           Response resp = clientManager.DeleteResourceFromGroup(client.Value, client.Key.Id);
@@ -224,5 +224,5 @@
       changes.Clear();
 
-      ResponseList<Job> jobsOld = jobs;
+      ResponseList<JobDto> jobsOld = jobs;
       try {
         IJobManager jobManager =
@@ -231,5 +231,5 @@
         jobs = jobManager.GetAllJobs();
 
-        IDictionary<int, Job> jobsOldHelp;
+        IDictionary<int, JobDto> jobsOldHelp;
         CloneList(jobsOld, out jobsOldHelp);
 
@@ -269,5 +269,5 @@
         if (jobs != null && jobs.List != null) {
 
-          foreach (Job job in jobs.List) {
+          foreach (JobDto job in jobs.List) {
             if (job.State == State.calculating) {
               ListViewItem lvi = new ListViewItem(job.Id.ToString(), 1, lvJobCalculating);
@@ -312,8 +312,8 @@
       tvClientControl.Nodes.Clear();
       try {
-        ResponseList<ClientGroup> clientGroups = ClientManager.GetAllClientGroups();
+        ResponseList<ClientGroupDto> clientGroups = ClientManager.GetAllClientGroups();
 
         if (clientGroups != null && clientGroups.List != null) {
-          foreach (ClientGroup cg in clientGroups.List) {
+          foreach (ClientGroupDto cg in clientGroups.List) {
             AddClientOrGroup(cg, null);
           }
@@ -333,5 +333,5 @@
     }
 
-    private void AddClientOrGroup(ClientGroup clientGroup, TreeNode currentNode) {
+    private void AddClientOrGroup(ClientGroupDto clientGroup, TreeNode currentNode) {
       currentNode = CreateTreeNode(clientGroup, currentNode);
       List<ListViewItem> clientGroupList = new List<ListViewItem>();
@@ -345,10 +345,10 @@
       lvg.Tag = clientGroup;
       lvClientGroups.Add(lvg);
-      foreach (Resource resource in clientGroup.Resources) {
-        if (resource is ClientInfo) {
-          int percentageUsage = CapacityRam(((ClientInfo)resource).NrOfCores, ((ClientInfo)resource).NrOfFreeCores);
+      foreach (ResourceDto resource in clientGroup.Resources) {
+        if (resource is ClientDto) {
+          int percentageUsage = CapacityRam(((ClientDto)resource).NrOfCores, ((ClientDto)resource).NrOfFreeCores);
           int usage = 3;
-          if ((((ClientInfo)resource).State != State.offline) &&
-            (((ClientInfo)resource).State != State.nullState)) {
+          if ((((ClientDto)resource).State != State.offline) &&
+            (((ClientDto)resource).State != State.nullState)) {
             if ((percentageUsage >= 0) && (percentageUsage <= 25)) {
               usage = 0;
@@ -360,8 +360,8 @@
           }
           ListViewItem lvi = new ListViewItem(resource.Name, usage, lvg);
-          lvi.Tag = resource as ClientInfo;
+          lvi.Tag = resource as ClientDto;
           clientGroupList.Add(lvi);
-        } else if (resource is ClientGroup) {
-          AddClientOrGroup(resource as ClientGroup, currentNode);
+        } else if (resource is ClientGroupDto) {
+          AddClientOrGroup(resource as ClientGroupDto, currentNode);
         }
       }
@@ -369,5 +369,5 @@
     }
 
-    private TreeNode CreateTreeNode(ClientGroup clientGroup, TreeNode currentNode) {
+    private TreeNode CreateTreeNode(ClientGroupDto clientGroup, TreeNode currentNode) {
       TreeNode tn;
       if (string.IsNullOrEmpty(clientGroup.Name)) {
@@ -390,5 +390,5 @@
         lvClientControl.Groups.Add(lvg);
         lvg.Tag = node.Tag;
-        foreach (ListViewItem item in clientList[((ClientGroup)node.Tag).Id]) {
+        foreach (ListViewItem item in clientList[((ClientGroupDto)node.Tag).Id]) {
           item.Group = lvg;
           lvClientControl.Items.Add(item);
@@ -475,5 +475,6 @@
           IJobManager jobManager =
             ServiceLocator.GetJobManager();
-          ResponseObject<JobResult> jobRes = jobManager.GetLastJobResultOf(currentJob.Id);
+          ResponseObject<JobResult> jobRes = null;
+          //Todo: jobManager.GetLastJobResultOf(currentJob.Id);
 
           if (jobRes != null && jobRes.Obj != null) {
@@ -532,5 +533,5 @@
         for (int i = 0; i < lvJobControl.Items.Count; i++) {
           if (lvJobControl.Items[i].Text == change.ID.ToString()) {
-            foreach (Job job in jobs.List) {
+            foreach (JobDto job in jobs.List) {
               if (job.Id == change.ID) {
                 lvJobControl.Items[i].Tag = job;
@@ -562,5 +563,5 @@
         ListViewItem lvi = new ListViewItem(
           change.ID.ToString(), 2, jobGroup[2]);
-        foreach (Job job in jobs.List) {
+        foreach (JobDto job in jobs.List) {
           if (job.Id == change.ID) {
             lvi.Tag = job;
@@ -612,5 +613,5 @@
 
     private void OnLVJobControlClicked(object sender, EventArgs e) {
-      currentJob = (Job)lvJobControl.SelectedItems[0].Tag;
+      currentJob = (JobDto)lvJobControl.SelectedItems[0].Tag;
       JobClicked();
     }
@@ -629,5 +630,5 @@
       ListViewHitTestInfo hitTestInfo = lvJobControl.HitTest(e.Location);
       if (e.Button == MouseButtons.Right && hitTestInfo.Item != null && lvJobControl.SelectedItems.Count == 1) {
-        Job selectedJob = (Job)lvJobControl.SelectedItems[0].Tag;
+        JobDto selectedJob = (JobDto)lvJobControl.SelectedItems[0].Tag;
 
         if (selectedJob != null && selectedJob.State == State.calculating) {
@@ -649,6 +650,6 @@
       AddGroup addgroup = new AddGroup();
       parentgroup = Guid.Empty;
-      if ((tvClientControl.SelectedNode != null) && (((ClientGroup)tvClientControl.SelectedNode.Tag).Id != Guid.Empty)) {
-        parentgroup = ((ClientGroup)tvClientControl.SelectedNode.Tag).Id;
+      if ((tvClientControl.SelectedNode != null) && (((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id != Guid.Empty)) {
+        parentgroup = ((ClientGroupDto)tvClientControl.SelectedNode.Tag).Id;
       }
       addgroup.addGroupEvent += new AddGroupDelegate(addgroup_addGroupEvent);
@@ -663,5 +664,5 @@
 
     private void OnLVClientClicked(object sender, EventArgs e) {
-      currentClient = (ClientInfo)lvClientControl.SelectedItems[0].Tag;
+      currentClient = (ClientDto)lvClientControl.SelectedItems[0].Tag;
       ClientClicked();
     }
@@ -675,5 +676,5 @@
       if (e.Button != MouseButtons.Right) return;
       if (hitTestInfo.Node != null) {
-        Resource selectedGroup = (Resource)tvClientControl.SelectedNode.Tag;
+        ResourceDto selectedGroup = (ResourceDto)tvClientControl.SelectedNode.Tag;
 
         if (selectedGroup != null) {
@@ -690,5 +691,5 @@
       IJobManager jobManager = ServiceLocator.GetJobManager();
 
-      Project pg = new Project() { Name = name };
+      ProjectDto pg = new ProjectDto() { Name = name };
       jobManager.CreateProject(pg);
 
@@ -699,6 +700,6 @@
 
       if (parentgroup != Guid.Empty) {
-        ClientGroup cg = new ClientGroup() { Name = name };
-        ResponseObject<ClientGroup> respcg = clientManager.AddClientGroup(cg);
+        ClientGroupDto cg = new ClientGroupDto() { Name = name };
+        ResponseObject<ClientGroupDto> respcg = clientManager.AddClientGroup(cg);
         Response res = clientManager.AddResourceToGroup(parentgroup, respcg.Obj);
         if (res != null && !res.Success) {
@@ -706,5 +707,5 @@
         }
       } else {
-        ClientGroup cg = new ClientGroup() { Name = name };
+        ClientGroupDto cg = new ClientGroupDto() { Name = name };
         clientManager.AddClientGroup(cg);
       }
@@ -762,6 +763,6 @@
     #region Helper methods
 
-    private void CloneList(ResponseList<Job> oldList, out IDictionary<int, Job> newList) {
-      newList = new Dictionary<int, Job>();
+    private void CloneList(ResponseList<JobDto> oldList, out IDictionary<int, JobDto> newList) {
+      newList = new Dictionary<int, JobDto>();
       for (int i = 0; i < oldList.List.Count; i++) {
         newList.Add(i, oldList.List[i]);
@@ -769,5 +770,5 @@
     }
 
-    private bool IsEqual(ClientInfo ci1, ClientInfo ci2) {
+    private bool IsEqual(ClientDto ci1, ClientDto ci2) {
       if (ci2 == null) {
         return false;
@@ -786,11 +787,11 @@
     }
 
-    private void GetDelta(IList<Job> oldJobs, IDictionary<int, Job> helpJobs) {
+    private void GetDelta(IList<JobDto> oldJobs, IDictionary<int, JobDto> helpJobs) {
       bool found = false;
       for (int i = 0; i < jobs.List.Count; i++) {
-        Job job = jobs.List[i];
+        JobDto job = jobs.List[i];
         for (int j = 0; j < oldJobs.Count; j++) {
 
-          Job jobold = oldJobs[j];
+          JobDto jobold = oldJobs[j];
 
           if (job.Id.Equals(jobold.Id)) {
@@ -814,5 +815,5 @@
 
             int removeAt = -1;
-            foreach (KeyValuePair<int, Job> kvp in helpJobs) {
+            foreach (KeyValuePair<int, JobDto> kvp in helpJobs) {
               if (job.Id.Equals(kvp.Value.Id)) {
                 removeAt = kvp.Key;
@@ -832,5 +833,5 @@
         found = false;
       }
-      foreach (KeyValuePair<int, Job> kvp in helpJobs) {
+      foreach (KeyValuePair<int, JobDto> kvp in helpJobs) {
         changes.Add(new Changes { Types = Type.Job, ID = kvp.Value.Id, ChangeType = Change.Delete, Position = kvp.Key });
       }
@@ -844,5 +845,5 @@
       ResponseList<JobResult> jobRes = jobManager.GetAllJobResults(currentJob.Id);
 
-      if (jobRes.List != null) {
+      if (jobRes != null && jobRes.List != null) {
         foreach (JobResult jobresult in jobRes.List) {
           ListViewItem curSnapshot = new ListViewItem(jobresult.ClientId.ToString());
@@ -854,5 +855,5 @@
       }
 
-      if ((jobRes.List == null) && (jobRes.List.Count == 0)) {
+      if ((jobRes.List == null) || (jobRes.List.Count == 0)) {
         lvSnapshots.Visible = false;
       } else {
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/Authorization/HivePermissionManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/Authorization/HivePermissionManager.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/Authorization/HivePermissionManager.cs	(revision 3011)
@@ -53,5 +53,5 @@
       if ((p != null) && (entityID!=Guid.Empty))
       {
-          ResponseObject<Job> job = jobManager.GetJobById(entityID);
+          ResponseObject<JobDto> job = jobManager.GetJobById(entityID);
           if (job.Obj.Project != null)
               if (CheckPermission(sessionID, p.Id, jobManager.GetJobById(entityID).Obj.Project.Id)) return;
@@ -92,6 +92,6 @@
     private bool CheckPermissionHelper(Guid sessionId, Guid actionId, Guid entityId) {
       if (entityId == Guid.Empty) return true;
-      IList<ClientGroup> groups = clientManager.GetAllGroupsOfResource(entityId).Obj;
-      foreach (ClientGroup group in groups)
+      IList<ClientGroupDto> groups = clientManager.GetAllGroupsOfResource(entityId).Obj;
+      foreach (ClientGroupDto group in groups)
         if (CheckPermission(sessionId, actionId, group.Id)) return true;
       return false;
